D4Science Infrastructure - Task #928

Formatting code in tickets' description
Oct 08, 2015 04:16 PM - Fabio Sinibaldi

Status: Closed Start date: Oct 08, 2015

Priority: Low Due date: Nov 30, 2015

Assignee: Luca Frosini % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: Redmine management

Infrastructure: Development, Production

Description

Please, provide a way to gracefully format code in tickets' description and comments.

Related issues:

Related to D4Science Infrastructure - Task #1475: Please Move http://paste.re... Closed Nov 20,2015 Nov 30, 2015

History

#1 - Oct 08, 2015 04:43 PM - Luca Frosini

- Tracker changed from Feature to Task

- Project changed from 2 to D4Science Infrastructure

- Category changed from Other to System Application

- Target version changed from 143 to Redmine management

- Infrastructure Production added

#2 - Oct 08, 2015 04:43 PM - Luca Frosini
- Due date set to Oct 30, 2015

#3 - Oct 26, 2015 10:22 AM - Luca Frosini
- Due date changed from Oct 30, 2015 to Nov 30, 2015

#4 - Nov 20, 2015 07:24 PM - Luca Frosini
- Related to Task #1475: Please Move http://paste.research-infrastructures.eu/ to http.//paste.d4science.org/ added

#5 - Nov 20, 2015 07:24 PM - Luca Frosini

Investigating the issue we have thought that we should use paste for code or exception
http://paste.research-infrastructures.eu/

| have also create the ticket #928 to move that url in http://paste.d4science.org/

#6 - Nov 20, 2015 07:25 PM - Luca Frosini

- Status changed from New to In Progress

- % Done changed from 0 to 100

#7 - Nov 20, 2015 07:25 PM - Luca Frosini

- Status changed from In Progress to Feedback

#8 - Nov 22, 2015 08:13 PM - Andrea Dell'Amico

There is also a pastebin-like plugin for redmine. Maybe it's a better choice, as it's integrated with the platform? See
https://github.com/commandprompt/redmine_pastebin It's old, but it does not need to to anything new. It's based on the 'coderay’ library, all the logic
is inside it: http://coderay.rubychan.de

#9 - Nov 23, 2015 09:47 AM - Luca Frosini

- Status changed from Feedback to In Progress

- % Done changed from 100 to 50
This sounds good. Can you install it? | updated the google sheet we use to keep track of plugins.
The needs to move the url of paste is valid as well, even if is not so urgent.

#10 - Nov 23, 2015 11:36 AM - Fabio Sinibaldi

Are we sure we want to use paste service?
In my understanding it only holds pasted code for a restricted amount of time, making the details in the ticket unreadable after that period.
Correct me if I'm wrong.

#11 - Nov 23, 2015 11:45 AM - Andrea Dell'Amico

- Infrastructure Development added

The public services, yes. The redmine plugin, | do not know yet. I'm going to install it on the test redmine instance to see if it fits with our needs.

#12 - Nov 23, 2015 04:30 PM - Andrea Dell'Amico
| confirm that it's possible to configure pastes to never expire. See http:/redmine-d.d4science.org/projects/d4science/pastes/new

#13 - Nov 23, 2015 04:44 PM - Luca Frosini

Just for clarification to @fabio.sinibaldi@isti.cnr.it The link provided by @andrea.dellamico@isti.cnr.it is from a redmine test installation.
@fabio.sinibaldi@isti.cnr.it even with this plugin is not possible to paste the code directly inside the description or comment, but at least you don't
have to change website, look and feel and furthermore the paste does not expire if you want, as required from the ticket.

I think we can proceed to install it on production. When available I'll advise developers using VREs.

#14 - Nov 23, 2015 04:53 PM - Andrea Dell'Amico
- Status changed from In Progress to Feedback

- % Done changed from 50 to 100

Installed.
The module needs to be explicitly activated on each project: Settings -> Modules -> Pastes where we want it.

#15 - Nov 23, 2015 04:57 PM - Fabio Sinibaldi

@andrea.dellamico@isti.cnr.it | can't access the provided link http:/redmine-d.d4science.org/projects/d4science/pastes/new for authorization rules.
Just a quick question : is the "permanent" option available per pasted code or is it possible to configure it to always keep the pasted code? We need
to be sure that we don't lose information, so if it's an option that everybody should set, at least we should set it to "permanent” as default.

#16 - Nov 23, 2015 05:11 PM - Andrea Dell'Amico

Fabio Sinibaldi wrote:

@andrea.dellamico@isti.cnr.it | can't access the provided link http://redmine-d.d4science.org/projects/d4science/pastes/new for authorization
rules. Just a quick question : is the "permanent" option available per pasted code or is it possible to configure it to always keep the pasted code?
We need to be sure that we don't lose information, so if it's an option that everybody should set, at least we should set it to "permanent” as
default.

It's per paste, but permanent is the default.

#17 - Nov 23, 2015 05:53 PM - Luca Frosini
- Status changed from Feedback to Closed

Activated in all projects.
